Bug 653071 - Cannot set the synaptics to use tapping
Summary: Cannot set the synaptics to use tapping
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics
Version: 14
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 11:18 UTC by Petr Tomasek
Modified: 2012-04-20 03:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-20 03:23:43 UTC
Type: ---


Attachments (Terms of Use)

Description Petr Tomasek 2010-11-14 11:18:26 UTC
Description of problem:

When trying to set the synaptics xorg driver to generate "button click" events through "tapping", nothing happens.

Version-Release number of selected component (if applicable):

  xorg-x11-drv-synaptics
  gpointing-device-settings-1.5.1-2.fc14

Comment 1 Petr Tomasek 2010-11-14 11:27:27 UTC
relevant part of Xorg.o.log:

[    44.913] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event6)
[    44.913] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[    44.913] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
[    44.913] (II) LoadModule: "synaptics"
[    44.914] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    44.923] (II) Module synaptics: vendor="X.Org Foundation"
[    44.923] 	compiled for 1.8.99.906, module version = 1.3.0
[    44.923] 	Module class: X.Org XInput Driver
[    44.923] 	ABI class: X.Org XInput driver, version 11.0
[    44.923] (II) Synaptics touchpad driver version 1.3.0
[    44.923] (**) Option "Device" "/dev/input/event6"
[    44.923] (--) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
[    44.923] (--) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
[    44.923] (--) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
[    44.923] (--) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
[    44.923] (--) SynPS/2 Synaptics TouchPad: buttons: left right double triple scroll-buttons
[    44.923] (--) SynPS/2 Synaptics TouchPad: invalid finger width range.  defaulting to 0 - 16
[    44.923] (--) SynPS/2 Synaptics TouchPad: touchpad found
[    44.923] (**) SynPS/2 Synaptics TouchPad: always reports core events
[    44.924] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
[    44.924] (**) SynPS/2 Synaptics TouchPad: (accel) MinSpeed is now constant deceleration 2.5
[    44.924] (**) SynPS/2 Synaptics TouchPad: MaxSpeed is now 1.75
[    44.924] (**) SynPS/2 Synaptics TouchPad: AccelFactor is now 0.040
[    44.924] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
[    44.924] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 1
[    44.924] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[    44.924] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[    44.924] (--) SynPS/2 Synaptics TouchPad: touchpad found

HW info from lshal:

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port_logicaldev_input'
  info.capabilities = {'input', 'input.touchpad'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port'  (string)
  info.product = 'SynPS/2 Synaptics TouchPad'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port_logicaldev_input'  (string)
  input.device = '/dev/input/event6'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port'  (string)
  input.product = 'SynPS/2 Synaptics TouchPad'  (string)
  linux.device_file = '/dev/input/event6'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio4/input/input6/event6'  (string)

Comment 2 Peter Hutterer 2010-11-15 21:32:25 UTC
what's the output of synclient -l?
do you have tapping enabled in the mouse preferences' touchpad tab?

Comment 3 Stepan Zastupov 2010-11-16 21:45:36 UTC
I can confirm the issue. Tapping is enabled in mouse preferences but acts like right click.

Comment 4 Stepan Zastupov 2010-11-16 23:33:38 UTC
I've managed to fix tapping by setting TapButton2=1, it was:
TapButton1=1
TapButton2=3
TapButton3=2

I don't remember what was the properties on F13 but by some reason it's broken on F14 defaults. Maybe there was some quirks in HAL? X.org detects my touchpad as SynPS/2.

Comment 5 Peter Hutterer 2010-11-19 04:15:23 UTC
the 1/3/2 mapping is the default upstream, last I checked.

Comment 6 Dag 2011-04-01 18:51:18 UTC
I confirm this on x86_64 F14.
gpointing-device-settings-1.5.1-2.fc14.x86_64

I upgraded from F13 to F14 one week ago, and gpointing-device-settings is still NOT checking for TapButtonX values.

This is resulting in tapping disabled.

So the only way to enable tapping is opening a shell, then entering commands as follow :
synclient TapButton1=1
synclient TapButton2=2
synclient TapButton3=3

You can change the values to suit your needs.

You put those lines in a shell script and add it to your session's startup.

My advice is that it's NOT user-friendly AT ALL. So gpointing-device-settings should check for those values, and/or provide a mean for the user to change those values in the GUI as they are an important part of tapping configuration.

Regards,
Dag

Comment 7 Peter Hutterer 2012-04-20 03:23:43 UTC
sorry guys, F14 is EOL. Please re-open if this is still an issue with F16/F17.


Note You need to log in before you can comment on or make changes to this bug.